| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__GetJobInfoResult Struct Reference
Background Job

Get Job Information result. More...

`#include <osv-if-doc.h>`

## Public Attributes
struct unsp__ResultCodeStruct | Result
| Result code structure. More...
char * | JobId
| The ID of a job in the format operatorId_jobSequenceNumber. More...
char * | JobComments
| A text string optionally provided by the operator when a job is canceled. More...
char * | OperatorId
| Operator Id. More...
enum unsp__JobStatus * | JobStatus
| The current status of the job. More...
enum unsp__JobAction * | JobAction
| The action to be performed by this job. More...
enum unsp__ObjectType * | ObjectType
| The type of object for which this job has been submitted. More...
char * | ObjectName
| The ID of the object for which this job has been submitted. More...
xsd__dateTime | CreateDate
| The date and time when the job was created. More...
xsd__dateTime | ExecutionDate
| The date and time when the job started execution. More...
xsd__dateTime | CancelDate
| The date and time when the job was canceled. More...
int * | MaxSequences
| The total number of JobResult entries existing for this job. More...
int * | ObjectsProcessed
| The number of objects processed. More...
struct unsp__JobResultList * | JobResultList
| A list of job result entries, if any. More...

## Detailed Description

Get Job Information result.

Used by unsp__GetJobInfo2()

## Member Data Documentation

## ◆ CancelDate

xsd__dateTime unsp__GetJobInfoResult::CancelDate

The date and time when the job was canceled.

default value[range]: NA

## ◆ CreateDate

xsd__dateTime unsp__GetJobInfoResult::CreateDate

The date and time when the job was created.

default value[range]: NA

## ◆ ExecutionDate

xsd__dateTime unsp__GetJobInfoResult::ExecutionDate

The date and time when the job started execution.

default value[range]: NA

## ◆ JobAction

enum unsp__JobAction* unsp__GetJobInfoResult::JobAction

The action to be performed by this job.

default value[range]: NA

## ◆ JobComments

char* unsp__GetJobInfoResult::JobComments

A text string optionally provided by the operator when a job is canceled.

default value[range]: NA [1..2000]

## ◆ JobId

char* unsp__GetJobInfoResult::JobId

The ID of a job in the format operatorId_jobSequenceNumber.

default value[range]: NA [1..49]

## ◆ JobResultList

struct unsp__JobResultList* unsp__GetJobInfoResult::JobResultList

A list of job result entries, if any.

## ◆ JobStatus

enum unsp__JobStatus* unsp__GetJobInfoResult::JobStatus

The current status of the job.

default value[range]: NA

## ◆ MaxSequences

int* unsp__GetJobInfoResult::MaxSequences

The total number of JobResult entries existing for this job.

default value[range]: NA

## ◆ ObjectName

char* unsp__GetJobInfoResult::ObjectName

The ID of the object for which this job has been submitted.

default value[range]: NA [1..49]

## ◆ ObjectsProcessed

int* unsp__GetJobInfoResult::ObjectsProcessed

The number of objects processed.

In the case of feature propagation from a Feature Profile to the associated subscribers/BGLs, this field indicates the number of subscribers/BGLs processed
default value[range]: NA

## ◆ ObjectType

enum unsp__ObjectType* unsp__GetJobInfoResult::ObjectType

The type of object for which this job has been submitted.

default value[range]: NA

## ◆ OperatorId

char* unsp__GetJobInfoResult::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ Result

struct unsp__ResultCodeStruct unsp__GetJobInfoResult::Result

Result code structure.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h